package hoge;

import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;

import javax.microedition.io.Connector;

import com.nttdocomo.ui.Button;
import com.nttdocomo.ui.Component;
import com.nttdocomo.ui.ComponentListener;
import com.nttdocomo.ui.HTMLLayout;
import com.nttdocomo.ui.Label;
import com.nttdocomo.ui.Panel;
import com.nttdocomo.ui.TextBox;


//XNb`pbh̃Tv

public class Sample6 extends Panel implements ComponentListener {

	private TextBox saveBox;
	private Button saveButton;
	private Button loadButton;
	private Label loadLabel;


	public Sample6() {
		saveBox = new TextBox("", 10, 1, TextBox.DISPLAY_ANY);
		saveButton = new Button("SAVE");
		loadButton = new Button("LOAD");
		loadLabel = new Label("");

		//Layout͂悭mȂ
		setLayoutManager(new HTMLLayout());
		add(new Label("ScratchPadTest", Label.CENTER));
		add(saveBox);
		add(saveButton);
		add(loadButton);
		add(loadLabel);

		setComponentListener(this);
	}

	public void componentAction(Component source, int type, int param) {
		if (source == saveButton) {
			String message = saveBox.getText();
			saveToScratch(message);
		}
		if (source == loadButton) {
			String message = loadFromScratch();
			//System.out.println(message);
			loadLabel.setText(message);
		}
	}

	public void saveToScratch(String message) {
		DataOutputStream out = null;

		try {
			out = Connector.openDataOutputStream("scratchpad:///0;pos=0");
			out.writeByte(1);
			out.writeUTF(message);
			out.close();
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	public String loadFromScratch() {
		String message = null;
		DataInputStream in = null;

		try {
			in = Connector.openDataInputStream("scratchpad:///0;pos=0");
			byte check = in.readByte();
			System.out.println(check);

			if (check == 0) {
				message = "NODATA";
			} else {
				message = in.readUTF();
			}
			in.close();
		} catch (IOException e) {
			e.printStackTrace();
		}

		return message;
	}

}
