package hoge;

import com.nttdocomo.ui.AudioPresenter;
import com.nttdocomo.ui.Canvas;
import com.nttdocomo.ui.Display;
import com.nttdocomo.ui.Frame;
import com.nttdocomo.ui.Graphics;
import com.nttdocomo.ui.IApplication;
import com.nttdocomo.ui.Image;
import com.nttdocomo.ui.MediaImage;
import com.nttdocomo.ui.MediaManager;
import com.nttdocomo.ui.MediaSound;
import com.nttdocomo.ui.ShortTimer;


//TEh̃Tv

public class Sample5 extends Canvas {

	//\W
	int x;
	int y;


	//ʃTCY
	int screenWidth = getWidth();
	int screenHeight = getHeight();

	int count;

	//^C}[
	static int TIMER_ID = 0;
	ShortTimer timer;

	//	C[W
	MediaImage mediaImage;
	Image image;

	//TEh
	MediaSound[]		mediaSound = new MediaSound[8];	//fBATEh
	AudioPresenter[]	audio = new AudioPresenter[8];	//


	public void paint(Graphics g) {
		
		if(timer == null){
			init();
		}
		
		g.lock(); //bN

		g.clearRect(0, 0, screenWidth, screenHeight); //NA
		//g.drawString("Hello World!", x, y);
		g.drawImage(image, x, y);

		g.unlock(true); //AbN
	}

	
	public void processEvent(int type, int param)
	{
		if( (type == Display.TIMER_EXPIRED_EVENT) && (param == TIMER_ID) )
			{
				timerLoop();
			}
			else if( (type == Display.KEY_PRESSED_EVENT) && (param == Display.KEY_SOFT2) )
			{
				//I
				timer.stop();
				timer.dispose();

				mediaImage.unuse();
				mediaImage.dispose();

				for(int i=0; i<mediaSound.length; i++)
				{
					mediaSound[i].unuse();
					mediaSound[i].dispose();
				}

				IApplication.getCurrentApp().terminate();
			}
			else if( type == Display.KEY_PRESSED_EVENT)
			{
				switch(param)
				{
					case Display.KEY_1:	audio[0].play();	break;
					case Display.KEY_2:	audio[1].play();	break;
					case Display.KEY_3:	audio[2].play();	break;
					case Display.KEY_4:	audio[3].play();	break;
					case Display.KEY_5:	audio[4].play();	break;
					case Display.KEY_6:	audio[5].play();	break;
					case Display.KEY_7:	audio[6].play();	break;
					case Display.KEY_8:	audio[7].play();	break;
				}
			}

			repaint();
	}


	//
	public void init()
	{
		setSoftLabel(Frame.SOFT_KEY_2, "I");
				
		//\[Xǂ݂
		try
		{
			//TEh
			for(int i=0; i<mediaSound.length; i++)
			{
				mediaSound[i] = MediaManager.getSound("resource:///m0" + String.valueOf(i+1) +".mld");
				mediaSound[i].use();
				audio[i] = AudioPresenter.getAudioPresenter();
				audio[i].setSound(mediaSound[i]);
			}
			
			//摜
			MediaImage mediaImage = MediaManager.getImage("resource:///test.gif");
			mediaImage.use();
			image = mediaImage.getImage();
		}
		catch(Exception e)
		{
			e.printStackTrace();
		}

		// XN[̕ƍ擾
		screenWidth  = getWidth();
		screenHeight = getHeight();

		// 摜̕\ʒuʂ̒ɂ
		x = (screenWidth  - image.getWidth() ) /2;
		y = (screenHeight - image.getHeight()) /2;

		
		
		//0.1bPʂ̃V[g^C}[ZbgăX^[g
		timer = ShortTimer.getShortTimer(this, TIMER_ID, 1000/10, true);
		timer.start();
	}


	//^C}[Cxg̏
	public void timerLoop()
	{
		count += 1;

		//L[̉Ԃɂړ
		int key = getKeypadState();
		if( (key & (1<<Display.KEY_DOWN  ) ) != 0 )	y += 4;
		if( (key & (1<<Display.KEY_UP    ) ) != 0 )	y += (-4);
		if( (key & (1<<Display.KEY_LEFT  ) ) != 0 )	x += (-4);
		if( (key & (1<<Display.KEY_RIGHT ) ) != 0 )	x += 4;

		repaint();
	}


}
