package hoge;
import java.io.InputStream;

import javax.microedition.io.Connector;

import com.nttdocomo.io.HttpConnection;
import com.nttdocomo.ui.Button;
import com.nttdocomo.ui.Component;
import com.nttdocomo.ui.ComponentListener;
import com.nttdocomo.ui.Label;
import com.nttdocomo.ui.Panel;
import com.nttdocomo.ui.TextBox;


//HTTPANZX̃Tv

public class Sample7 extends Panel
	implements ComponentListener
{
	private TextBox inputbox;
	private TextBox outputbox;
	private Button connectButton;


	public Sample7(){
		//Panel panel = new Panel();
		inputbox = new TextBox("",16,1,TextBox.DISPLAY_ANY);
		outputbox = new TextBox("",16,6,TextBox.DISPLAY_ANY);
		connectButton = new Button("CONNECT");

		add(new Label("LABEL",Label.CENTER));
		add(inputbox);
		add(connectButton);
		add(outputbox);

		inputbox.setEditable(true);
		outputbox.setEditable(false);
		setComponentListener(this);
	}




	public void componentAction(Component source, int type, int param) 
	{
		System.out.println("CE:" + source + "/" + type + "/" + param);

		if(source == connectButton)
		{
			String message = inputbox.getText();

			httpAccess(message);
		}
	}


	public void httpAccess(String message)
	{
		String response = null;

		try
		{
			String urlString = "http://localhost:8080/dojaweb/hoge" + "?prm=" + message;

			HttpConnection connection = (HttpConnection)Connector.open(urlString,Connector.READ);
			//connection.setRequestProperty("Content-type","text/plain");
			connection.setRequestMethod(HttpConnection.GET);
			connection.connect();


			InputStream in = connection.openInputStream();
			byte b[] = new byte[0x100];
			while(true)
			{
				int len = in.read(b);
				if(len < 0) break;
			}
			in.close();
			connection.close();

			response = new String(b);
			response = response.substring(0,response.indexOf("\0"));//̌؂͂̂B͂āH

			outputbox.setText(response);
		}
		catch(Exception e)
		{
			e.printStackTrace();
		}
	}



}




